Bug 780073 (SOA-2439) - Fix uddi_v3replication.xsd within juddiv3.war
Summary: Fix uddi_v3replication.xsd within juddiv3.war
Status: CLOSED NEXTRELEASE
Alias: SOA-2439
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB   
(Show other bugs)
Version: 5.1.0.ER3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 5.1.0 GA
Assignee: Kevin Conner
QA Contact:
URL: http://jira.jboss.org/jira/browse/SOA...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-19 13:00 UTC by Kevin Conner
Modified: 2011-02-13 05:20 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-13 05:20:10 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2439 None None None Never

Description Kevin Conner 2010-10-19 13:00:32 UTC
project_key: SOA

The jUDDI schema specifies an invalid type for the WSDL.

Replace

        <element name="get_changeRecords">
                <complexType>
                        <sequence>
                                <element name="requestingNode" type="uddi_repl:operatorNodeID_type"/>
                                <element name="changesAlreadySeen" type="uddi_repl:highWaterMarkVector_type" minOccurs="0"/>
                                <choice minOccurs="0">
                                        <element name="responseLimitCount" type="integer"/>
                                        <element name="responseLimitVector" type="uddi_repl:highWaterMarkVector_type"/>
                                </choice>
                        </sequence>
                </complexType>
        </element> 

with

        <element name="get_changeRecords">
                <complexType>
                        <sequence>
                                <element name="requestingNode" type="uddi_repl:operatorNodeID_type"/>
                                <element name="changesAlreadySeen" type="uddi_repl:highWaterMarkVector_type" minOccurs="0"/>
                                <element name="responseLimitCount" type="integer" minOccurs="0"/>
                                <element name="responseLimitVector" type="uddi_repl:highWaterMarkVector_type" minOccurs="0"/>
                        </sequence>
                </complexType>
        </element> 

to workaround the issue.

Comment 1 Kevin Conner 2010-10-19 13:03:07 UTC
Link: Added: This issue depends JBESB-3512


Comment 2 Laura Bailey 2010-12-17 00:41:30 UTC
Writer: Added: Darrin


Comment 3 Laura Bailey 2010-12-17 00:47:57 UTC
Release Notes Docs Status: Added: Not Yet Documented


Comment 5 Laura Bailey 2011-02-13 05:12:35 UTC
Reopening to add Release Note text. Will set back to Closed -> Done in a moment.

Comment 6 Laura Bailey 2011-02-13 05:13:56 UTC
Release Notes Text: Added: The jUDDI


Comment 7 Laura Bailey 2011-02-13 05:20:10 UTC
Setting back to Closed -> Done.

Comment 8 Laura Bailey 2011-02-13 05:20:10 UTC
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Resolved Issue
Release Notes Text: Removed: The jUDDI Added: The jUDDI schema specified an invalid type for the WSDL in the uddi_v3replication.xsl file of the juddiv3.war. The WSDL type has been corrected.



Note You need to log in before you can comment on or make changes to this bug.